Return Processing Result
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/order/return/processing-result \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sellerId": "4711",
"sellerReturnId": "123",
"isAccepted": false,
"processingErrorList": [
{
"message": "<string>",
"code": "GEN615"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/order/return/processing-result"
payload = {
"sellerId": "4711",
"sellerReturnId": "123",
"isAccepted": False,
"processingErrorList": [
{
"message": "<string>",
"code": "GEN615"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sellerId: '4711',
sellerReturnId: '123',
isAccepted: false,
processingErrorList: [{message: '<string>', code: 'GEN615'}]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/order/return/processing-result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Return
Return Processing Result
Send return Processing Result
POST
/
v1
/
channel
/
order
/
return
/
processing-result
Return Processing Result
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
Result of the channel-side processing of a return (accepted, rejected, partial).
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
Pattern:
^\w{1,50}$Example:
"4711"
Id used to identify an order return on Seller side.
Example:
"123"
Example:
false
Maximum array length:
500Show child attributes
Show child attributes
Response
Return processing result received
Was this page helpful?
⌘I